$(document).ready(function(){
    //кнопка показать еще для новостей
    $(document).on('click', '.news__btn--show-more', function(){
        //делаем верную пагинацию

        $(".pagination__list li").each(function(key) {
            if ($(this).find('span').hasClass('pagination__link--current')){
                let span=$(this).find('span');
                var text=parseInt(span.text());
                span.detach();
                let ur='';
                let nextur='';

                if (text>1){
                    ur='/about/blog/?PAGEN_2='+text;
                    nextur='/about/blog/?PAGEN_2='+(text+2);
                    $('.pagination__list .pagination__link:first-child').attr('href',ur);
                    $('.pagination__list .pagination__link:last-child').attr('href',nextur);

                    let last=parseInt($('.pagination__list li.pagination__item:last-of-type').find('span').text());
                  if (last==text+1){

                      let svg=$('.pagination__list .pagination-last span').html();
                    $('.pagination__list .pagination-last').detach();
                    $(".pagination__list").append('<span class="pagination__link pagination__link--disabled">'+svg+'</span>');
                  }


                } else {
                    ur='/about/blog/';
                    let svg=$('span.pagination__link.pagination__link--disabled').html();
                    $('span.pagination__link.pagination__link--disabled').detach();
                    $(".pagination__list").prepend('<a class="pagination__link" href="'+ur+'"><span>'+svg+'</span></a>')

                    nextur='/about/blog/?PAGEN_2=3';
                    $('.pagination__list .pagination__link:last-child').attr('href',nextur);


                }
                 $(this).append('<a class="pagination__link" href="'+ur+'"><span>'+text+'</span></a>');
                let next=$(this).next();
                let nexttext=next.find('a span').text();
                next.find('a').detach();
                next.append('<span class="pagination__link pagination__link--current">'+nexttext+'</span>');
                return false;

            }

        });


        var targetContainer = $('#page'),
            url =  $('.news__btn--show-more').attr('data-url');
        window.history.replaceState( null, null, url );

        if (url !== undefined) {
            $.ajax({
                type: 'GET',
                url: url,
                dataType: 'html',
                async: false,
                success: function(data){

                    $('.news__btn--show-more').remove();

                    var elements = $(data).find('.news__list'),
                        pagination = $(data).find('.news__btn--show-more');

                    targetContainer.append(elements);
                    $('#pag').append(pagination);

                }
            });
        } else {
            $('#pag').hide();


        }

    });


    //все новости
    $(document).on('click', '.all-link', function(e){
        e.preventDefault;
        e.stopPropagation();
        $(".article-controls__item").each(function() {
            $(this).find('.article-controls__btn').removeClass('is-active');
        });
        $(this).find('.article-controls__btn').addClass('is-active');

        var targetContainer = $('#page'), url =  "/about/blog/#page2";
        window.history.replaceState( null, null, url );

        if (url !== undefined) {
            targetContainer.find('.news__list').detach();
            $.ajax({
                type: 'GET',
                url: url,
                dataType: 'html',
                async: false,
                success: function(data){
                    var elements = $(data).find('.news__list');
                    targetContainer.append(elements);


                }
            });
        }

        $('#pag').show();
        $('.news-pag').show();
        $('.news__pagination').show();


    });

    //кнопка показать еще для мероприятий
    $(document).on('click', '.events__btn--show-more', function(){

        //делаем верную пагинацию

        $(".pagination__list li").each(function(key) {
            if ($(this).find('span').hasClass('pagination__link--current')){
                let span=$(this).find('span');
                var text=parseInt(span.text());
                span.detach();
                let ur='';
                let nextur='';

                if (text>1){
                    ur='/about/blog/?PAGEN_2='+text;
                    nextur='/about/blog/?PAGEN_2='+(text+2);
                    $('.pagination__list .pagination__link:first-child').attr('href',ur);
                    $('.pagination__list .pagination__link:last-child').attr('href',nextur);

                    let last=parseInt($('.pagination__list li.pagination__item:last-of-type').find('span').text());
                    if (last==text+1){

                        let svg=$('.pagination__list .pagination-last span').html();
                        $('.pagination__list .pagination-last').detach();
                        $(".pagination__list").append('<span class="pagination__link pagination__link--disabled">'+svg+'</span>');
                    }


                } else {
                    ur='/about/blog/';
                    let svg=$('span.pagination__link.pagination__link--disabled').html();
                    $('span.pagination__link.pagination__link--disabled').detach();
                    $(".pagination__list").prepend('<a class="pagination__link" href="'+ur+'"><span>'+svg+'</span></a>')

                    nextur='/about/blog/?PAGEN_2=3';
                    $('.pagination__list .pagination__link:last-child').attr('href',nextur);


                }
                $(this).append('<a class="pagination__link" href="'+ur+'"><span>'+text+'</span></a>');
                let next=$(this).next();
                let nexttext=next.find('a span').text();
                next.find('a').detach();
                next.append('<span class="pagination__link pagination__link--current">'+nexttext+'</span>');
                return false;

            }

        });

        var targetContainer = $('#page-events'),
            url =  $('.events__btn--show-more').attr('data-url');
        window.history.replaceState( null, null, url );

        if (url !== undefined) {
            $.ajax({
                type: 'GET',
                url: url,
                dataType: 'html',
                async: false,
                success: function(data){

                    $('.events__btn--show-more').remove();

                    var elements = $(data).find('.events__list'),
                        pagination = $(data).find('.events__btn--show-more');

                    targetContainer.append(elements);
                    $('#pag').append(pagination);

                }
            });
        }

    });

    // хештеги
    $(document).on('click', '.hash-link', function(e) {
        e.preventDefault();
        $(".article-controls__item").each(function() {
            $(this).find('.article-controls__btn').removeClass('is-active');
        });
        $(this).find('.article-controls__btn').addClass('is-active');
        var targetContainer = $('#page'),
            url = "/about/blog/" + $(this).attr('href');
        window.history.replaceState(null, null, url);
            $('#pag').fadeOut(300);
            $('.news-pag').fadeOut(300);
            $('.news__pagination').fadeOut(300);
            let name=$(this).data("name");
            let top=$('.news__top-news');
        if ($(window).width()<860){
            if (top.data("hash-mobile")!=name){
                top.hide();
            } else top.show();            }

        var targetContainer = $('#page'),
            url = "/about/blog/"+$(this).attr('href');
        window.history.replaceState( null, null, url );

            if (url !== undefined) {
                targetContainer.find('.news__list').detach();
                $.ajax({
                    type: 'GET',
                    url: url,
                    dataType: 'html',
                    async: false,
                    success: function(data){
                        var elements = $(data).find('.news__list');
                        targetContainer.append(elements);


                    }
                });
            }

    });




    // онлайн/оффлайн
    $(document).on('click', '.line-link', function(e){
        e.preventDefault();
        e.stopPropagation();
        $(".article-controls__item").each(function() {
            $(this).find('.article-controls__btn').removeClass('is-active');
        });
        $(this).find('.article-controls__btn').addClass('is-active');
        $('#pag').fadeOut(300);
             $('.events__pagination').fadeOut(300);


        var targetContainer = $('#page'),
            url = "/about/events/"+$(this).attr('href');
        window.history.replaceState( null, null, url );


        if (url !== undefined) {
            targetContainer.find('.events-list').detach();
            $.ajax({
                type: 'GET',
                url: url,
                dataType: 'html',
                async: false,
                success: function(data){
                    var elements = $(data).find('.events-list');
                    targetContainer.append(elements);


                }
            });
        }


    });

    //все мероприятия
    $(document).on('click', '.all-events', function(e){
        e.preventDefault;
        $(".article-controls__item").each(function() {
            $(this).find('.article-controls__btn').removeClass('is-active');
        });
        $(this).find('.article-controls__btn').addClass('is-active');

        var targetContainer = $('#page'), url =  "/about/events/#page2";
        window.history.replaceState( null, null, url );

        if (url !== undefined) {
            targetContainer.find('.events-list').detach();
            $.ajax({
                type: 'GET',
                url: url,
                dataType: 'html',
                async: false,
                success: function(data){
                    var elements = $(data).find('.events-list');
                    targetContainer.append(elements);


                }
            });
        }

        // $('#pag').show();
        // $('.news-pag').show();
        // $('.news__pagination').show();


    });

    // поиск на мерприятих
    $('.search').on('input', function(e) {

        let text=$(this).val();
        console.log(text);
        if (text.length>2) {

            $(".article-controls__item").each(function () {
                $(this).find('.article-controls__btn').removeClass('is-active');
            });
            $(this).find('.article-controls__btn').addClass('is-active');
            $('#pag').hide();
            $('.events__pagination').hide();

            var targetContainer = $('#page'),
                url = "/about/events/?search="+text+"&clear_cache=Y#page";
            window.history.replaceState(null, null, url);

            if (url !== undefined) {
                targetContainer.find('.events-list').detach();
                $(this).parents("form").submit();

                $.ajax({
                    type: 'GET',
                    url: url,
                    dataType: 'html',
                    async: false,
                    success: function (data) {


                        var elements = $(data).find('.events-list');


                        targetContainer.append(elements);


                    }
                });
            }
        }


    });

    //  копирование ссылки
    $(document).on("click", ".site-link", function() {
        $(this).next('.copy').detach();
        let text=$(this).data('link');
        conspole.log(text);
        let content=$(this).data('tippy-content');
        navigator.clipboard.writeText(text);
        $(this).append(content);
        setTimeout(function(){
            $(this).next('.copy').detach();
        }, 2000);
    });

    // отправка формы
    $(document).on("submit", "#event-form", function(e) {
       if ($(this).parent().hasClass('is-valid')){
           var data = $(this).serialize();
           $.ajax({
               url: '/local/ajax/event-form.php',
               method: 'post',
               data: data,
               success: function (data) {
                   console.log(data);
               }

           });

       }
    });


    // отправка формы продуктов
    $(document).on("submit", "#product-form", function(e) {

        if ($(this).parent().hasClass('is-valid')){
            var data = $(this).serialize();
            $.ajax({
                url: '/local/ajax/product-form.php',
                method: 'post',
                data: data,
                success: function (data) {
                    console.log(data);
                }

            });

        }
    });

    // отправка формы расскаиже о себе
    $(document).on("submit", "#about-form", function(e) {
        let error=0;
        $("#about-form div[data-required]").each(function() {
            if (!$(this).hasClass('is-valid')){
                error++;
            }
        });
        console.log(error);
        if (error==0){
            var data = $(this).serialize();
            $.ajax({
                url: '/local/ajax/about-form.php',
                method: 'post',
                data: data,
                success: function (data) {
                    console.log(data);
                }

            });

        }
    });

    // подписка на новости
    $(document).on("submit", "#news-form", function(e) {
        if ($(this).parent().hasClass('is-valid')){
            var data = $(this).serialize();
            $.ajax({
                url: '/local/ajax/news-form.php',
                method: 'post',
                data: data,
                success: function (data) {
                    console.log(data);
                }

            });

        }
    });
});


//Если в тег не добавлена ссылка - он должен быть некликабельным
$.each($('ul.events__list > li'), function(index, category) {
    if ($(this).data("hash")!=name){
        $(this).hide();
    } else $(this).show();
});

$(document).on('click', '.marquee__list .marquee__item a[href=""]', function(e){
     return false;
});
